<?php
/*
    Sample External Page - GuppY PHP Script - version 4.6
    CeCILL Copyright (C) 2004-2007 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alves
      Web site = http://www.freeguppy.org/
      e-mail   = info@freeguppy.org

    This is a sample external PHP script that integrates with GuppY
		modified for Cryptographp plugin exemple of use.

    Version History :
      v2.3 (27 July 2003)      : initial release (by Isabelle)
      v3.0 (25 February 2004)  : moved to pages/ directory
      v4.0 (06 December 2004)  : Added text in many languages (by Jean-Mi)
	  v4.5 (27 April 2005)     : Added page title (thanks Ricsen)
	    v4.6.0 (20 november 2006)  : corrected $topmess in htable() (by Ghazette)
	    v4.6.6 (14 April 2008)     : corrected bad position of include hpage.inc (by Icare)
*/

header("Pragma: no-cache");
define("CHEMIN", "../");
// cryptographp ==>
$cryptinstall=CHEMIN.'plugins/cryptographp/cryptographp.fct.php';
$cryptok = false;
include_once $cryptinstall;
// <== cryptographp

include(CHEMIN."inc/includes.inc");

// cryptographp ==>
include_once(CHEMIN.'plugins/cryptographp/inc/function.inc');
$crypt = isset($_POST['crypt'])?strip_tags($_POST['crypt']):NULL;

if ($validForm) { // on a valid le formulaire
	if (chk_crypt($crypt)) { // cryptographp
		// le code est valide
		$cryptok = true;
		/* mettre ici les oprations de traitement suite  la validation du formulaire
		 * vrifications des valeurs,
		 * mails  l'administrateur,
		 * mise  jour d'une base...
		 */
	}
	else {
		// le code n'est pas valide

	}
}
// <== cryptographp

if ($lng == $lang[0]) {
  $topmess = "Titre de la fentre en langue principale";
}
else {
  $topmess = "Window title in secondary language";
}
include(CHEMIN."inc/hpage.inc");

// Si vous voulez mettre une icne du rpertoire img en tte de page:
// If you want to put an icon from img directory on top of the page:
$topmess = '<img src="'.CHEMIN.'img/my_icon.gif" align="right" width="32" height="32" border="0" alt="My icon">'.$topmess;
if ($lng == $lang[0]) {
htable($topmess, "100%"); // Titre en langue principale
?>
<!-- Dbut du texte HTML dans la langue principale -->

<br />
Texte HTML dans la langue principale <br />
Text HTML in the principal language <br />
HTML-Text in der Hauptsprache <br />
Texto HTML en la lengua principal <br />
Testo HTML nella lingua principale <br />
Tekst HTML in de belangrijkste taal <br />
Texto HTML na lngua principal <br />
<br />

<!-- Fin du texte HTML en langue principale -->
<?php
	// cryptographp ==>
	if (!$validForm || !$cryptok) {
		// on n'a pas encore valid le formulaire ou le code est faux
		?>
		<form name="cryptoForm" action="" method="post">
  		<input type="hidden" name="validForm" value="true" />
  		<input type="hidden" name="lng" value="<?php echo $lng; ?>" />
			<!--
			Ici le contenu de votre formulaire
			-->
			<!-- le cryptogramme en lui mme...  -->
			<table>
		    <tr>
					<td align="center"><?php
						if ($cp_cfg[6]) dsp_crypt(0,1,2,1);
						else dsp_crypt(0,1);
					?></td>
		    </tr>
				<tr>
					<td align="center"><?php echo $cp_web2; ?><input type="text" name="crypt" size="10" /></td>
				</tr>
			</table>
			<!-- <== fin cryptogramme -->
  	</form>
		<?php
	}
	else {
		// message faisant suite  la validation du formulaire avec code OK
	}
	// <== cryptographp

}
else {
	htable($topmess, "100%"); // Titre en langue secondaire
	?>
<!-- Dbut du texte HTML dans la langue secondaire -->

<br />
Texte HTML dans la langue secondaire <br />
Text HTML in the secondary language <br />
HTML-Text in der sekundren Sprache <br />
Texto HTML en la lengua secundaria <br />
Testo HTML nella lingua secondaria <br />
Tekst HTML in de ondergeschikte taal <br />
Texto HTML na lngua secundria <br />
<br />

<!-- Fin du texte HTML en langue secondaire -->
<?php
	// cryptographp ==>
	if (!$validForm || !$cryptok) {
		// on n'a pas encore valid le formulaire ou le code est faux
		?>
		<form name="cryptoForm" action="" method="post">
  		<input type="hidden" name="validForm" value="true" />
  		<input type="hidden" name="lng" value="<?php echo $lng; ?>" />
			<!--
			Ici le contenu de votre formulaire
			-->
			<!-- le cryptogramme en lui mme...  -->
			<table>
		    <tr>
					<td align="center"><?php
						if ($cp_cfg[6]) dsp_crypt(0,1,2,1);
						else dsp_crypt(0,1);
					?></td>
		    </tr>
				<tr>
					<td align="center"><?php echo $cp_web2; ?><input type="text" name="crypt" size="10" /></td>
				</tr>
			</table>
			<!-- <== fin cryptogramme -->
		</form>
		<?php
	}
	else {
		// message faisant suite  la validation du formulaire avec code OK
	}
	// <== cryptographp

}
btable();
include(CHEMIN."inc/bpage.inc");
?>